# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10,11,12} )

inherit distutils-r1

DESCRIPTION="Cross-platform cast client for Jellyfin"
HOMEPAGE="https://github.com/jellyfin/jellyfin-mpv-shim"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://github.com/jellyfin/jellyfin-mpv-shim.git"
	inherit git-r3
	KEYWORDS="~amd64"
else
	SRC_URI="https://github.com/jellyfin/jellyfin-mpv-shim/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	#S="${WORKDIR}/jellyfin-mpv-shim"
	KEYWORDS="amd64"
fi


LICENSE="MIT GPL-3"
SLOT="0"
IUSE="tray mirror discord"

DEPEND="
	dev-python/python-mpv
	>=media-libs/jellyfin-apiclient-python-1.9.2
	dev-python/requests
	>=media-libs/python-mpv-jsonipc-1.2.0
	"
RDEPEND="${DEPEND}
	tray? ( dev-python/pystray dev-python/pillow dev-lang/python[tk] )
	"
BDEPEND=""
distutils_enable_tests pytest
